# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`dbbackup`](#dbbackup): module to configure a systemd timer + script to backup postgres, mysql and ldap databases

## Classes

### `dbbackup`

module to configure a systemd timer + script to backup postgres, mysql and ldap databases

#### Parameters

The following parameters are available in the `dbbackup` class.

##### `pigz_cpu_cores`

Data type: `Optional[Integer[1]]`

number of cpu cores used for backup compression. If undefined, nproc will be used when available.

Default value: ``undef``

##### `destination`

Data type: `Stdlib::Absolutepath`

directory where backups will be stored (with one subdirectory per backup day)

Default value: `'/mnt/dumps'`

##### `interval`

Data type: `String[2]`

how often the systemd timer will trigger the dump script. This will be used for the OnUnitInactiveSec option in the timer

Default value: `'1h'`

##### `backuphistory`

Data type: `Optional[Integer[1]]`

number of days to keep the backup history

Default value: ``undef``

##### `cleanup_empty_backup_dirs`

Data type: `Boolean`

enable/disable a post command to cleanup empty directories with $destination. They can occour if the system run out of free diskspace

Default value: ``true``

